New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2581 (icb speed limit and speeding ticket) – NEMO

Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#2581 closed Defect (fixed)

icb speed limit and speeding ticket

Reported by: mathiot Owned by: systeam
Priority: low Milestone: Unscheduled
Component: ICB Version:
Severity: minor Keywords: ICB,
Cc:

Description

Context

In the icb module, we can enforce the icb speed limit via rn_speed_limit and issue a speeding ticket if needed. Scaling down the icb speed at the end of icb_accel does not have any effect and the collection of speeding ticket is hard to interpret (all domains report the same number of speeding tickets, even if no icb on the domain).

Analysis and recommandation

  • Icb speed is not an output of icb_accel, so scaling the speeding down according to the cfl will not have any effect on the simulation. Probably we should scale down the velocity and recompute the acceleration accordingly.
  • About the icb report, I suggest to remove the mpp_sum on nspeeding_ticket in icb_dia. Like this, every process will show the number of speeding ticket on its domain.
  • probably additional information on what cause the speeding ticket could be useful (is it the atmo, the oce, the ice ...)

It affects the trunk and v4.

Commit History (8)

ChangesetAuthorTimeChangeLog
14400mathiot2021-02-04T19:49:00+01:00

ticket #2581: merge ticket branch into trunk

14399mathiot2021-02-04T19:43:16+01:00

ticket #2581: update branch to head of the trunk

14382mathiot2021-02-03T14:12:29+01:00

ticket #2581: implement change made in v4 to trunk version

14373mathiot2021-02-02T18:46:10+01:00

ticket #2581: build branch for correction in trunk

14372mathiot2021-02-02T18:42:36+01:00

ticket #2581: merge ticket branch into r4.0-HEAD after Dave review

14361mathiot2021-01-29T14:52:00+01:00

ticket #2581: correction based on Dave review (missing _wp, improve information wrote in iceberg.stat file)

14356mathiot2021-01-28T10:30:26+01:00

ticket #2581 (NEMO_4.0-HEAD version): create branch

14268davestorkey2021-01-06T09:46:41+01:00

UKMO branch to implement Pierre's version of the iceberg speed limiter (ticket #2581).

Change History (13)

comment:1 Changed 2 years ago by davestorkey

In 14268:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:2 Changed 2 years ago by mathiot

In 14356:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 2 years ago by mathiot

As discuss with Dave, a safe value for iceberg cfl is 0.4 as icb ssh is evaluate at icb%xi+/-0.1 and extra haloes for variable at T points are not fill with data. Once icb and nn_hls will be compatible this restriction will goes away for case with nn_hls > 1.

comment:4 Changed 2 years ago by mathiot

In 14361:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 2 years ago by mathiot

In 14372:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 2 years ago by mathiot

In 14373:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 2 years ago by mathiot

In 14382:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 2 years ago by mathiot

In 14399:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 2 years ago by mathiot

No change requested by Dave S. on trunk version, ready to be merge in trunk.

comment:10 Changed 2 years ago by mathiot

In 14400:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 2 years ago by mathiot

  • Resolution set to fixed
  • Status changed from new to closed

comment:12 Changed 2 years ago by smasson

[14400] changes ORCA2_ICE_PISCES results.
AMM12 fails in [14400] because of a bug introduced in [14398]. This bug has been corrected in [14401]

comment:13 Changed 2 years ago by mathiot

Change in results is normal with Dave we also fix a small bug in the call of icb_ground in the process:
The icb ground use as input non defined yet variable. It should be zu2 and zv2 for step 3 (instead of zu3 and zv3) and zu3 and zv3 for step 4 (instead of zu4 and zv4). Tested made without this change in r4.0 do not change the results.

Note: See TracTickets for help on using tickets.